GrailsPageFilter (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.sitemesh
[Java] Class GrailsPageFilter

    java.lang.Object
      com.opensymphony.sitemesh.webapp.SiteMeshFilter
          org.codehaus.groovy.grails.web.sitemesh.GrailsPageFilter

    public class GrailsPageFilter
    extends com.opensymphony.sitemesh.webapp.SiteMeshFilter

Extends the default page filter to overide the apply decorator behaviour if the page is a GSP

Authors:
  Graeme Rocher

Field Summary
`static java.lang.String` | `ALREADY_APPLIED_KEY`
`static java.lang.String` | `FACTORY_SERVLET_CONTEXT_ATTRIBUTE`
`static java.lang.String` | `GSP_SITEMESH_PAGE`
`protected org.springframework.web.servlet.ViewResolver` | `layoutViewResolver`

Method Summary
`void` | `destroy()`
`void` | `doFilter(javax.servlet.ServletRequest rq, javax.servlet.ServletResponse rs, javax.servlet.FilterChain chain)`
`protected void` | `executeFilterChainWithWrappedResponse(javax.servlet.FilterChain chain, javax.servlet.http.HttpServletRequest request, GrailsContentBufferingResponse contentBufferingResponse)`
`void` | `init(javax.servlet.FilterConfig fc)`

Methods inherited from class com.opensymphony.sitemesh.webapp.SiteMeshFilter
com.opensymphony.sitemesh.webapp.SiteMeshFilter#init(javax.servlet.FilterConfig), com.opensymphony.sitemesh.webapp.SiteMeshFilter#destroy(), com.opensymphony.sitemesh.webapp.SiteMeshFilter#doFilter(javax.servlet.ServletRequest, javax.servlet.ServletResponse, javax.servlet.FilterChain), com.opensymphony.sitemesh.webapp.SiteMeshFilter#wait(long, int), com.opensymphony.sitemesh.webapp.SiteMeshFilter#wait(long), com.opensymphony.sitemesh.webapp.SiteMeshFilter#wait(), com.opensymphony.sitemesh.webapp.SiteMeshFilter#equals(java.lang.Object), com.opensymphony.sitemesh.webapp.SiteMeshFilter#toString(), com.opensymphony.sitemesh.webapp.SiteMeshFilter#hashCode(), com.opensymphony.sitemesh.webapp.SiteMeshFilter#getClass(), com.opensymphony.sitemesh.webapp.SiteMeshFilter#notify(), com.opensymphony.sitemesh.webapp.SiteMeshFilter#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### ALREADY_APPLIED_KEY

    public static final java.lang.String ALREADY_APPLIED_KEY

### FACTORY_SERVLET_CONTEXT_ATTRIBUTE

    public static final java.lang.String FACTORY_SERVLET_CONTEXT_ATTRIBUTE

### GSP_SITEMESH_PAGE

    public static final java.lang.String GSP_SITEMESH_PAGE

### layoutViewResolver

    protected org.springframework.web.servlet.ViewResolver layoutViewResolver

Method Detail

### destroy

    @java.lang.Overridesuper.destroy();
    public void destroy()

### doFilter

    @java.lang.Overridethrows IOException, ServletException {
    public void doFilter(javax.servlet.ServletRequest rq, javax.servlet.ServletResponse rs, javax.servlet.FilterChain chain)

### executeFilterChainWithWrappedResponse

    protected void executeFilterChainWithWrappedResponse(javax.servlet.FilterChain chain, javax.servlet.http.HttpServletRequest request, GrailsContentBufferingResponse contentBufferingResponse)

### init

    @java.lang.Override
    public void init(javax.servlet.FilterConfig fc)

Groovy Documentation